Skip to main content
GET
/
oauth2
/
applications
/
{id}
Get application
curl --request GET \
  --url https://api.fluxer.app/v1/oauth2/applications/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "name": "<string>",
  "redirect_uris": [
    "<string>"
  ],
  "bot_public": true,
  "bot_require_code_grant": true,
  "client_secret": "<string>"
}

Authorizations

Authorization
string
header
required

Bot token: Authorization: Bot <token>. This is the primary authentication method for bot applications.

Path Parameters

id
string
required

The id

Response

Success

id
string
required

The unique identifier of the application

Pattern: ^(0|[1-9][0-9]*)$
name
string
required

The name of the application

redirect_uris
string[]
required

The registered redirect URIs for OAuth2

Maximum array length: 20
bot_public
boolean
required

Whether the bot can be invited by anyone

bot_require_code_grant
boolean
required

Whether the bot requires OAuth2 code grant

client_secret
string

The client secret for OAuth2 authentication

bot
object

Detailed bot user metadata